Bug 8033 - В пакете нет файлов readme.txt и license.txt
: В пакете нет файлов readme.txt и license.txt
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libunrar3)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-22 00:33 by
Modified: 2005-11-03 16:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-22 00:33:09
В пакете нет файлов readme.txt и license.txt, которые 
идут с исходниками. Просьба добавить.
------- Comment #1 From 2005-09-22 14:12:05 -------
Вообще-то они в libunrar3-doc. Точно ли их в libunrar3 надо перекладывать ? 
------- Comment #2 From 2005-09-22 15:39:38 -------
(In reply to comment #1)
> Вообще-то они в libunrar3-doc. Точно ли их в libunrar3 надо перекладывать ? 
Лицензию - безо всяких сомнений.
------- Comment #3 From 2005-09-23 01:24:44 -------
Если есть полная документация - её можно положить в -doc, а для тех файлов, 
которые сейчас в doc, отдельный пакет совсем не нужен. 
А лицензия и readme должны быть вместе с библиотекой. 
------- Comment #4 From 2005-09-28 09:30:33 -------
* Thu Sep 22 2005 Sergey Y. Afonin <asy@altlinux.ru> 3.5.3-alt1 
- new version 
- move license.txt and readme.txt from doc to main package, doc 
  package is removed. 
 
залил сегодня. 
 
------- Comment #5 From 2005-09-28 17:04:00 -------
Кстати, а с чего вопрос возник ? Просто проверка пакетов, или кто-то 
пользуется ? Пакет-то делался, чтобы в clamav проверку добавить, но что-то 
идея до завершения не дошла, тем более, что прошел слух, что в clamav это в 
основной ветке решили сделать. 
------- Comment #6 From 2005-10-04 21:05:05 -------
Я был бы против включения libunrar в "основную ветку clamav". Библиотеки 
должны быть библиотеками. 
Вопрос возник пока просто из изучения ситуации с архиваторами. 
------- Comment #7 From 2005-10-05 14:39:43 -------
(In reply to comment #6) 
 
По поводу того, как делать поддержку rar3, разработчики clamav решают, сильно 
на них не повлияешь. Поддержку старого rar они таскают у себя в коде. Да и 
вообще поддержку всех архиваторов. Это у них принципиальная позиция для 
демона.  
 
------- Comment #8 From 2005-11-03 11:59:13 -------
Интересно, а как тут баги закрывают ? Я так понимаю, вопрос к тому, кто 
репортил ? 
------- Comment #9 From 2005-11-03 12:08:29 -------
Resolve bug, changing resolution to FIXED :-)
------- Comment #10 From 2005-11-03 12:15:11 -------
Хотя "License: RARLAB", IMHO, - это сильно много чести людям, не желающим
читать
http://www.opensource.org/licenses/index.php :-\

Впрочем, исправлять не надо - отчизна должна знать своих "героев" :-)
------- Comment #11 From 2005-11-03 12:44:59 -------
Хе-хе... Тут еще SendmailX на подходе, а у него 
SENDMAIL OPEN SOURCE LICENSE 
------- Comment #12 From 2005-11-03 16:23:04 -------
(In reply to comment #8)
> Интересно, а как тут баги закрывают ?
Аккаунтами с @altlinux.org.